import request from './request';

// 首页轮播图
export const shopBannerList = params => {
  return request({
    url: `shopBanner/queryList`,
    method: 'post',
    data: params
  })
}
// 轮播图详情信息
export const shopBannerDetail = params => {
  return request({
    url: `shopBanner/context`,
	data: params,
    method: 'post',
  })
}
// 促销活动列表-分页
export const promoTerminalListByPage = params => {
  return request({
    url: `shopPromo/queryPage/${params.pageNo}/${params.pageSize}`,
    method: 'post',
    data: params
  })
}
// 活动详情
export const promoTerminalDetail = params => {
  return request({
    url: `shopPromo/findBySn/${params.sn}`,
    method: 'get',
  })
}
// 视频列表
export const getVideoList = (params) => {
  return request({
    url: `content/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 视频详情
export const videoDetail = params => {
  return request({
    url: `content/findById/${params.id}`,
    method: 'get',
    data: ''
  })
}